//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
// CommonHelpers satellite library | Author: Sergei Y.Kitáev
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
using System;
using System.Reflection;

namespace CommonHelpers {

//**************************************************************************************************
partial class HConsole {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public string CancellationMessage
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return "Termination by <Ctrl+Break>";
   case HInCodeSupportedLanguage.Russian: return "Прерывание по <Ctrl+Break>";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

//==================================================================================================

public string ExitionDialogPromptMessage
{
#region
   get
   {
      string messageFmt = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( messageFmt == null )
         switch ( HInCodeSupportedLanguageSelector.UILanguage )
         {
#endregion
   case HInCodeSupportedLanguage.English:
      messageFmt = "Press {0} or {1} to exit";
      break;
   case HInCodeSupportedLanguage.Russian:
      messageFmt = "Для выхода нажмите {0} либо {1}";
      break;
   //case HInCodeSupportedLanguage.Lang_X1:
   //   messageFmt = "";
   //   break;
   //case HInCodeSupportedLanguage.Lang_X2:
   //   messageFmt = "";
   //   break;
#region
         default:
            throw HAssertionFailure.DEAD_BRANCH();
         }
      return string.Format( messageFmt,
         KeyToString( ConsoleKey.Enter ),
         KeyToString( ConsoleKey.Escape ) );
   }
#endregion
}

public string ContinuationDialogPromptMessage
{
#region
   get
   {
      string messageFmt = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( messageFmt == null )
         switch ( HInCodeSupportedLanguageSelector.UILanguage )
         {
#endregion
   case HInCodeSupportedLanguage.English:
      messageFmt = "Press {0} or {1} to continue";
      break;
   case HInCodeSupportedLanguage.Russian:
      messageFmt = "Для продолжения нажмите {0} либо {1}";
      break;
   //case HInCodeSupportedLanguage.Lang_X1:
   //   messageFmt = "";
   //   break;
   //case HInCodeSupportedLanguage.Lang_X2:
   //   messageFmt = "";
   //   break;
#region
         default:
            throw HAssertionFailure.DEAD_BRANCH();
         }
      return string.Format( messageFmt,
         KeyToString( ConsoleKey.Enter ),
         KeyToString( ConsoleKey.Escape ) );
   }
#endregion
}

//---------------------------------------------------------------------------------------------------

public string ConfirmationDialogActionText_Confirm
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return "Yes (confirm)";
   case HInCodeSupportedLanguage.Russian: return "Да (подтверждение)";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

public string ConfirmationDialogActionText_Cancel
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return "No (cancel)";
   case HInCodeSupportedLanguage.Russian: return "Нет (отмена)";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

//==================================================================================================
//--------------------------------------------------------------------------------------------------
/*
public static string 
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return "";
   case HInCodeSupportedLanguage.Russian: return "";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}
*/
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // HConsole
//**************************************************************************************************

} // CommonHelpers
